/**
 * Cron表达式
 */
export declare class CronExpression {
    /**
     * 每{seconds}秒
     */
    static everySecondsOn(seconds: any): string;
    /**
     * 每{minutes}分钟
     */
    static everyMinutesOn(minutes: any): string;
    /**
     * 每{hours}小时
     */
    static everyHoursOn(hours: any): string;
    /**
     * 每天{clock}点
     */
    static everyClockOn(clock: any): string;
}
/**
 * Cron计划任务
 *
 * 非DEBUG环境下启用计划任务
 *
 * @param cronExpression cron时间表达式
 * @param description 计划任务描述,仅为记录日志
 * @returns
 */
export declare function CronJob(cronExpression: string, description?: string): ClassDecorator;
